import { useTranslations } from "next-intl"

import { GIT_REPO_LINK } from "@repo/constants"
import { Link } from "../design/Link/Link"

export interface FooterProps {
  version: string
}

export const Footer: React.FC<FooterProps> = (props) => {
  const { version } = props

  const t = useTranslations()

  return (
    <footer className="bg-background dark:bg-background-dark border-gray-darker dark:border-gray-darker-dark flex h-20 flex-col items-center justify-center border-t-2 px-6 py-2 text-lg">
      <p>
        <Link href="https://theoludwig.fr" target="_blank" isExternal={false}>
          Théo LUDWIG
        </Link>{" "}
        | {t("meta.all-rights-reserved")}
      </p>

      <p>
        Version{" "}
        <Link
          href={`${GIT_REPO_LINK}/releases/tag/v${version}`}
          target="_blank"
          isExternal={false}
        >
          {version}
        </Link>
      </p>
    </footer>
  )
}
