import { classNames } from "@repo/config-tailwind/classNames"

export interface MainLayoutProps extends React.PropsWithChildren {
  className?: string
}

export const MainLayout: React.FC<MainLayoutProps> = (props) => {
  const { children, className } = props

  return (
    <main
      className={classNames(
        "flex min-h-[calc(100vh-144px)] flex-col p-6",
        className,
      )}
    >
      {children}
    </main>
  )
}
